Bug 702861 - Review Request: libidn2 - Library to support IDNA2008 internationalized domain names
Summary: Review Request: libidn2 - Library to support IDNA2008 internationalized domai...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-07 18:55 UTC by Robert Scheck
Modified: 2011-06-06 21:35 UTC (History)
3 users (show)

Fixed In Version: libidn2-0.5-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-28 23:55:49 UTC
mario.blaettermann: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2011-05-07 18:55:03 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/libidn2.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/libidn2-0.3-1.src.rpm
Description:
Libidn2 is an implementation of the IDNA2008 specifications in RFC
5890, 5891, 5892 and 5893 for internationalized domain names (IDN).

Comment 1 Mario Blättermann 2011-05-08 13:30:40 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3058125

$ rpmlint -v *
libidn2.i686: I: checking
libidn2.i686: I: checking-url http://www.josefsson.org/libidn2/ (timeout 10 seconds)
libidn2.src: I: checking
libidn2.src: I: checking-url http://www.josefsson.org/libidn2/ (timeout 10 seconds)
libidn2.src: I: checking-url http://www.josefsson.org/libidn2/releases/libidn2-0.3.tar.gz (timeout 10 seconds)
libidn2-debuginfo.i686: I: checking
libidn2-debuginfo.i686: I: checking-url http://www.josefsson.org/libidn2/ (timeout 10 seconds)
libidn2-devel.i686: I: checking
libidn2-devel.i686: I: checking-url http://www.josefsson.org/libidn2/ (timeout 10 seconds)
libidn2.spec: I: checking-url http://www.josefsson.org/libidn2/releases/libidn2-0.3.tar.gz (timeout 10 seconds)
4 packages and 1 specfiles checked; 0 errors, 0 warnings.

No issues so far.

Comment 2 Mario Blättermann 2011-05-08 15:17:54 UTC
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv3+
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    98f3f31312376e398f6e51aff2ac93c1  libidn2-0.3.tar.gz
    98f3f31312376e398f6e51aff2ac93c1  libidn2-0.3.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available, see above.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[+] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[+] MUST: devel packages must require the base package using a fully versioned
dependency.
[+] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...

[+] SHOULD: Timestamps of files should be preserved.
    Explicitely called with INSTALL='install -p'
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.

----------------

PACKAGE APPROVED

----------------

Comment 3 Robert Scheck 2011-05-08 19:06:20 UTC
Mario, thank you very much for the review.


New Package SCM Request
=======================
Package Name: libidn2
Short Description: Library to support IDNA2008 internationalized domain names
Owners: robert
Branches: el4 el5 el6 f13 f14 f15
InitialCC:

Comment 4 Jason Tibbitts 2011-05-10 16:06:17 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-05-16 18:13:42 UTC
libidn2-0.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libidn2-0.4-1.fc15

Comment 6 Fedora Update System 2011-05-16 18:14:04 UTC
libidn2-0.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libidn2-0.4-1.fc14

Comment 7 Fedora Update System 2011-05-16 18:14:25 UTC
libidn2-0.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libidn2-0.4-1.fc13

Comment 8 Fedora Update System 2011-05-17 00:50:50 UTC
libidn2-0.4-1.fc13 has been pushed to the Fedora 13 testing repository.

Comment 9 Fedora Update System 2011-05-18 21:35:35 UTC
libidn2-0.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libidn2-0.4-1.fc15

Comment 10 Fedora Update System 2011-05-18 21:35:55 UTC
libidn2-0.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libidn2-0.4-1.fc14

Comment 11 Fedora Update System 2011-05-18 21:36:15 UTC
libidn2-0.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libidn2-0.4-1.fc13

Comment 12 Fedora Update System 2011-05-18 21:37:02 UTC
libidn2-0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libidn2-0.5-1.el6

Comment 13 Fedora Update System 2011-05-18 21:37:23 UTC
libidn2-0.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libidn2-0.5-1.el5

Comment 14 Fedora Update System 2011-05-18 21:37:56 UTC
libidn2-0.5-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/libidn2-0.5-1.el4

Comment 15 Fedora Update System 2011-05-28 23:55:44 UTC
libidn2-0.5-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 16 Fedora Update System 2011-05-29 00:00:18 UTC
libidn2-0.5-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 17 Fedora Update System 2011-05-29 00:03:20 UTC
libidn2-0.5-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 18 Fedora Update System 2011-06-06 21:34:37 UTC
libidn2-0.5-1.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 19 Fedora Update System 2011-06-06 21:34:52 UTC
libidn2-0.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 20 Fedora Update System 2011-06-06 21:35:23 UTC
libidn2-0.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.